from pydantic import BaseModel
from typing import Dict, Any, List

class InquiryResponse(BaseModel):
    """Response from an AI inquiry."""
    message: str
    confidence: float
    metadata: Dict[str, Any]

class UsageStats(BaseModel):
    """API usage statistics."""
    total_calls: int
    remaining_calls: int
    reset_date: str
    plan: str